Index: options/SPECIES/SPECIES_001
===================================================================
--- options/SPECIES/SPECIES_001	(revision 60403cdfd1dfc5def4c83aff4c9c55a236804c93)
+++ options/SPECIES/SPECIES_001	(revision f9ce123b9b047af2fdd26aa67406bfdc873bbafd)
@@ -23,4 +23,5 @@
 -9.99E-09          OH Reaction rate - C [cm^3/molecule/sec]
 -9.9               OH reaction rate - D [K]
+-9.9               OH Reaction rate - N (no unit)
 -9                 number of associated specias (neg. none)
 -99.99             KOA - organic matter air partitioning
Index: options/SPECIES/SPECIES_002
===================================================================
--- options/SPECIES/SPECIES_002	(revision 60403cdfd1dfc5def4c83aff4c9c55a236804c93)
+++ options/SPECIES/SPECIES_002	(revision f9ce123b9b047af2fdd26aa67406bfdc873bbafd)
@@ -23,4 +23,5 @@
 -9.99E-09          OH Reaction rate - C [cm^3/molecule/sec]
 -9.9               OH reaction rate - D [K]
+-9.9               OH Reaction rate - N (no unit)
 -9                 number of associated specias (neg. none)
 -99.99             KOA - organic matter air partitioning
Index: options/SPECIES/SPECIES_003
===================================================================
--- options/SPECIES/SPECIES_003	(revision 60403cdfd1dfc5def4c83aff4c9c55a236804c93)
+++ options/SPECIES/SPECIES_003	(revision f9ce123b9b047af2fdd26aa67406bfdc873bbafd)
@@ -23,4 +23,5 @@
 -9.99E-09          OH Reaction rate - C [cm^3/molecule/sec]
 -9.9               OH reaction rate - D [K]
+-9.9               OH Reaction rate - N (no unit)
 -9                 number of associated specias (neg. none)
 -99.99             KOA - organic matter air partitioning
Index: options/SPECIES/SPECIES_004
===================================================================
--- options/SPECIES/SPECIES_004	(revision 60403cdfd1dfc5def4c83aff4c9c55a236804c93)
+++ options/SPECIES/SPECIES_004	(revision f9ce123b9b047af2fdd26aa67406bfdc873bbafd)
@@ -23,4 +23,5 @@
 -9.99E-09          OH Reaction rate - C [cm^3/molecule/sec]
 -9.9               OH reaction rate - D [K]
+-9.9               OH Reaction rate - N (no unit)
 -9                 number of associated specias (neg. none)
 -99.99             KOA - organic matter air partitioning
Index: options/SPECIES/SPECIES_005
===================================================================
--- options/SPECIES/SPECIES_005	(revision 60403cdfd1dfc5def4c83aff4c9c55a236804c93)
+++ options/SPECIES/SPECIES_005	(revision f9ce123b9b047af2fdd26aa67406bfdc873bbafd)
@@ -23,4 +23,5 @@
 -9.99E-09          OH Reaction rate - C [cm^3/molecule/sec]
 -9.9               OH reaction rate - D [K]
+-9.9               OH Reaction rate - N (no unit)
 -9                 number of associated specias (neg. none)
 -99.99             KOA - organic matter air partitioning
Index: options/SPECIES/SPECIES_006
===================================================================
--- options/SPECIES/SPECIES_006	(revision 60403cdfd1dfc5def4c83aff4c9c55a236804c93)
+++ options/SPECIES/SPECIES_006	(revision f9ce123b9b047af2fdd26aa67406bfdc873bbafd)
@@ -23,4 +23,5 @@
 -9.99E-09          OH Reaction rate - C [cm^3/molecule/sec]
 -9.9               OH reaction rate - D [K]
+-9.9               OH Reaction rate - N (no unit)
 -9                 number of associated specias (neg. none)
 -99.99             KOA - organic matter air partitioning
Index: options/SPECIES/SPECIES_007
===================================================================
--- options/SPECIES/SPECIES_007	(revision 60403cdfd1dfc5def4c83aff4c9c55a236804c93)
+++ options/SPECIES/SPECIES_007	(revision f9ce123b9b047af2fdd26aa67406bfdc873bbafd)
@@ -23,4 +23,5 @@
 -9.99E-09          OH Reaction rate - C [cm^3/molecule/sec]
 -9.9               OH reaction rate - D [K]
+-9.9               OH Reaction rate - N (no unit)
 -9                 number of associated specias (neg. none)
 -99.99             KOA - organic matter air partitioning
Index: options/SPECIES/SPECIES_008
===================================================================
--- options/SPECIES/SPECIES_008	(revision 60403cdfd1dfc5def4c83aff4c9c55a236804c93)
+++ options/SPECIES/SPECIES_008	(revision f9ce123b9b047af2fdd26aa67406bfdc873bbafd)
@@ -23,4 +23,5 @@
 -9.99E-09          OH Reaction rate - C [cm^3/molecule/sec]
 -9.9               OH reaction rate - D [K]
+-9.9               OH Reaction rate - N (no unit)
 -9                 number of associated specias (neg. none)
 -99.99             KOA - organic matter air partitioning
Index: options/SPECIES/SPECIES_009
===================================================================
--- options/SPECIES/SPECIES_009	(revision 60403cdfd1dfc5def4c83aff4c9c55a236804c93)
+++ options/SPECIES/SPECIES_009	(revision f9ce123b9b047af2fdd26aa67406bfdc873bbafd)
@@ -23,4 +23,5 @@
 -9.99E-09          OH Reaction rate - C [cm^3/molecule/sec]
 -9.9               OH reaction rate - D [K]
+-9.9               OH Reaction rate - N (no unit)
 -9                 number of associated specias (neg. none)
 -99.99             KOA - organic matter air partitioning
Index: options/SPECIES/SPECIES_010
===================================================================
--- options/SPECIES/SPECIES_010	(revision 60403cdfd1dfc5def4c83aff4c9c55a236804c93)
+++ options/SPECIES/SPECIES_010	(revision f9ce123b9b047af2fdd26aa67406bfdc873bbafd)
@@ -23,4 +23,5 @@
 -9.99E-09          OH Reaction rate - C [cm^3/molecule/sec]
 -9.9               OH reaction rate - D [K]
+-9.9               OH Reaction rate - N (no unit)
 -9                 number of associated specias (neg. none)
 -99.99             KOA - organic matter air partitioning
Index: options/SPECIES/SPECIES_011
===================================================================
--- options/SPECIES/SPECIES_011	(revision 60403cdfd1dfc5def4c83aff4c9c55a236804c93)
+++ options/SPECIES/SPECIES_011	(revision f9ce123b9b047af2fdd26aa67406bfdc873bbafd)
@@ -23,4 +23,5 @@
 -9.99E-09          OH Reaction rate - C [cm^3/molecule/sec]
 -9.9               OH reaction rate - D [K]
+-9.9               OH Reaction rate - N (no unit)
 -9                 number of associated specias (neg. none)
 -99.99             KOA - organic matter air partitioning
Index: options/SPECIES/SPECIES_012
===================================================================
--- options/SPECIES/SPECIES_012	(revision 60403cdfd1dfc5def4c83aff4c9c55a236804c93)
+++ options/SPECIES/SPECIES_012	(revision f9ce123b9b047af2fdd26aa67406bfdc873bbafd)
@@ -23,4 +23,5 @@
 -9.99E-09          OH Reaction rate - C [cm^3/molecule/sec]
 -9.9               OH reaction rate - D [K]
+-9.9               OH Reaction rate - N (no unit)
 -9                 number of associated specias (neg. none)
 -99.99             KOA - organic matter air partitioning
Index: options/SPECIES/SPECIES_013
===================================================================
--- options/SPECIES/SPECIES_013	(revision 60403cdfd1dfc5def4c83aff4c9c55a236804c93)
+++ options/SPECIES/SPECIES_013	(revision f9ce123b9b047af2fdd26aa67406bfdc873bbafd)
@@ -23,4 +23,5 @@
 -9.99E-09          OH Reaction rate - C [cm^3/molecule/sec]
 -9.9               OH reaction rate - D [K]
+-9.9               OH Reaction rate - N (no unit)
 -9                 number of associated specias (neg. none)
 -99.99             KOA - organic matter air partitioning
Index: options/SPECIES/SPECIES_014
===================================================================
--- options/SPECIES/SPECIES_014	(revision 60403cdfd1dfc5def4c83aff4c9c55a236804c93)
+++ options/SPECIES/SPECIES_014	(revision f9ce123b9b047af2fdd26aa67406bfdc873bbafd)
@@ -23,4 +23,5 @@
 -9.99E-09          OH Reaction rate - C [cm^3/molecule/sec]
 -9.9               OH reaction rate - D [K]
+-9.9               OH Reaction rate - N (no unit)
 -9                 number of associated specias (neg. none)
 -99.99             KOA - organic matter air partitioning
Index: options/SPECIES/SPECIES_015
===================================================================
--- options/SPECIES/SPECIES_015	(revision 60403cdfd1dfc5def4c83aff4c9c55a236804c93)
+++ options/SPECIES/SPECIES_015	(revision f9ce123b9b047af2fdd26aa67406bfdc873bbafd)
@@ -23,4 +23,5 @@
 -9.99E-09          OH Reaction rate - C [cm^3/molecule/sec]
 -9.9               OH reaction rate - D [K]
+-9.9               OH Reaction rate - N (no unit)
 -9                 number of associated specias (neg. none)
 -99.99             KOA - organic matter air partitioning
Index: options/SPECIES/SPECIES_016
===================================================================
--- options/SPECIES/SPECIES_016	(revision 60403cdfd1dfc5def4c83aff4c9c55a236804c93)
+++ options/SPECIES/SPECIES_016	(revision f9ce123b9b047af2fdd26aa67406bfdc873bbafd)
@@ -23,4 +23,5 @@
 -9.99E-09          OH Reaction rate - C [cm^3/molecule/sec]
 -9.9               OH reaction rate - D [K]
+-9.9               OH Reaction rate - N (no unit)
 -9                 number of associated specias (neg. none)
 -99.99             KOA - organic matter air partitioning
Index: options/SPECIES/SPECIES_017
===================================================================
--- options/SPECIES/SPECIES_017	(revision 60403cdfd1dfc5def4c83aff4c9c55a236804c93)
+++ options/SPECIES/SPECIES_017	(revision f9ce123b9b047af2fdd26aa67406bfdc873bbafd)
@@ -23,4 +23,5 @@
 -9.99E-09          OH Reaction rate - C [cm^3/molecule/sec]
 -9.9               OH reaction rate - D [K]
+-9.9               OH Reaction rate - N (no unit)
 -9                 number of associated specias (neg. none)
 -99.99             KOA - organic matter air partitioning
Index: options/SPECIES/SPECIES_018
===================================================================
--- options/SPECIES/SPECIES_018	(revision 60403cdfd1dfc5def4c83aff4c9c55a236804c93)
+++ options/SPECIES/SPECIES_018	(revision f9ce123b9b047af2fdd26aa67406bfdc873bbafd)
@@ -23,4 +23,5 @@
 -9.99E-09          OH Reaction rate - C [cm^3/molecule/sec]
 -9.9               OH reaction rate - D [K]
+-9.9               OH Reaction rate - N (no unit)
 -9                 number of associated specias (neg. none)
 -99.99             KOA - organic matter air partitioning
Index: options/SPECIES/SPECIES_019
===================================================================
--- options/SPECIES/SPECIES_019	(revision 60403cdfd1dfc5def4c83aff4c9c55a236804c93)
+++ options/SPECIES/SPECIES_019	(revision f9ce123b9b047af2fdd26aa67406bfdc873bbafd)
@@ -23,4 +23,5 @@
 -9.99E-09          OH Reaction rate - C [cm^3/molecule/sec]
 -9.9               OH reaction rate - D [K]
+-9.9               OH Reaction rate - N (no unit)
 -9                 number of associated specias (neg. none)
 -99.99             KOA - organic matter air partitioning
Index: options/SPECIES/SPECIES_020
===================================================================
--- options/SPECIES/SPECIES_020	(revision 60403cdfd1dfc5def4c83aff4c9c55a236804c93)
+++ options/SPECIES/SPECIES_020	(revision f9ce123b9b047af2fdd26aa67406bfdc873bbafd)
@@ -23,4 +23,5 @@
 -9.99E-09          OH Reaction rate - C [cm^3/molecule/sec]
 -9.9               OH reaction rate - D [K]
+-9.9               OH Reaction rate - N (no unit)
 -9                 number of associated specias (neg. none)
 -99.99             KOA - organic matter air partitioning
Index: options/SPECIES/SPECIES_021
===================================================================
--- options/SPECIES/SPECIES_021	(revision 60403cdfd1dfc5def4c83aff4c9c55a236804c93)
+++ options/SPECIES/SPECIES_021	(revision f9ce123b9b047af2fdd26aa67406bfdc873bbafd)
@@ -23,4 +23,5 @@
 -9.99E-09          OH Reaction rate - C [cm^3/molecule/sec]
 -9.9               OH reaction rate - D [K]
+-9.9               OH Reaction rate - N (no unit)
 -9                 number of associated specias (neg. none)
 -99.99             KOA - organic matter air partitioning
Index: options/SPECIES/SPECIES_022
===================================================================
--- options/SPECIES/SPECIES_022	(revision 60403cdfd1dfc5def4c83aff4c9c55a236804c93)
+++ options/SPECIES/SPECIES_022	(revision f9ce123b9b047af2fdd26aa67406bfdc873bbafd)
@@ -22,5 +22,6 @@
  28.00             molweight
 2.16E-13           OH Reaction rate - C [cm^3/molecule/sec]
-115                OH reaction rate - D [K]
+115.0              OH reaction rate - D [K]
+2.0                OH Reaction rate - N (no unit)
 -9                 number of associated specias (neg. none)
 -99.99             KOA - organic matter air partitioning
Index: options/SPECIES/SPECIES_024
===================================================================
--- options/SPECIES/SPECIES_024	(revision 60403cdfd1dfc5def4c83aff4c9c55a236804c93)
+++ options/SPECIES/SPECIES_024	(revision f9ce123b9b047af2fdd26aa67406bfdc873bbafd)
@@ -23,4 +23,5 @@
 -9.99E-09          OH Reaction rate - C [cm^3/molecule/sec]
 -9.9               OH reaction rate - D [K]
+-9.9               OH Reaction rate - N (no unit)
 -9                 number of associated specias (neg. none)
 -99.99             KOA - organic matter air partitioning
Index: options/SPECIES/SPECIES_025
===================================================================
--- options/SPECIES/SPECIES_025	(revision 60403cdfd1dfc5def4c83aff4c9c55a236804c93)
+++ options/SPECIES/SPECIES_025	(revision f9ce123b9b047af2fdd26aa67406bfdc873bbafd)
@@ -23,4 +23,5 @@
 -9.99E-09          OH Reaction rate - C [cm^3/molecule/sec]
 -9.9               OH reaction rate - D [K]
+-9.9               OH Reaction rate - N (no unit)
 -9                 number of associated specias (neg. none)
 -99.99             KOA - organic matter air partitioning
Index: options/SPECIES/SPECIES_026
===================================================================
--- options/SPECIES/SPECIES_026	(revision 60403cdfd1dfc5def4c83aff4c9c55a236804c93)
+++ options/SPECIES/SPECIES_026	(revision f9ce123b9b047af2fdd26aa67406bfdc873bbafd)
@@ -22,5 +22,6 @@
 16.00              molweight
 9.65E-20           OH Reaction rate - C [cm^3/molecule/sec]
-1082.0             OH reaction rate - D [K]
+1082.0             OH Reaction rate - D [K]
+2.58               OH Reaction rate - N (no unit)
 -9                 number of associated specias (neg. none)
 -99.99             KOA - organic matter air partitioning
Index: options/SPECIES/SPECIES_027
===================================================================
--- options/SPECIES/SPECIES_027	(revision 60403cdfd1dfc5def4c83aff4c9c55a236804c93)
+++ options/SPECIES/SPECIES_027	(revision f9ce123b9b047af2fdd26aa67406bfdc873bbafd)
@@ -22,5 +22,6 @@
 30.00              molweight
 15.2E-18           OH Reaction rate - C [cm^3/molecule/sec]
-498                OH reaction rate - D [K]
+498.0              OH reaction rate - D [K]
+2.0                OH Reaction rate - N (no unit)
 -9                 number of associated specias (neg. none)
 -99.99             KOA - organic matter air partitioning
Index: options/SPECIES/SPECIES_028
===================================================================
--- options/SPECIES/SPECIES_028	(revision 60403cdfd1dfc5def4c83aff4c9c55a236804c93)
+++ options/SPECIES/SPECIES_028	(revision f9ce123b9b047af2fdd26aa67406bfdc873bbafd)
@@ -22,5 +22,6 @@
 44.000             molweight
 15.5E-18           OH Reaction rate - C [cm^3/molecule/sec]
-61                 OH reaction rate - D [K]
+61.                OH reaction rate - D [K]
+2.0                OH Reaction rate - N (no unit)
 -9                 number of associated specias (neg. none)
 -99.99             KOA - organic matter air partitioning
Index: options/SPECIES/SPECIES_108
===================================================================
--- options/SPECIES/SPECIES_108	(revision 60403cdfd1dfc5def4c83aff4c9c55a236804c93)
+++ options/SPECIES/SPECIES_108	(revision f9ce123b9b047af2fdd26aa67406bfdc873bbafd)
@@ -14,11 +14,12 @@
                    Dry deposition (gases) - Henrys const.
                    Dry deposition (gases) - f0 (reactivity)
-1.9E03            Dry deposition (particles) - rho
+1.9E+03            Dry deposition (particles) - rho
 4.0E-07            Dry deposition (particles) - dquer
 3.0E-01            Dry deposition (particles) - dsig
 -9.99              Alternative: dry deposition velocity
  64.00             molweight
--1.35E-12          OH Reaction rate - C
-1.0                OH Reaction rate - D
+-1.35E-14           OH Reaction rate - C [cm^3/molecule/sec]
+120.0              OH Reaction rate - D [K]
+2.0                OH Reaction rate - N (no unit)
 -9                 number of associated specias (neg. none)
 -99.99             KOA - organic matter air partitioning
Index: src/com_mod.f90
===================================================================
--- src/com_mod.f90	(revision 5f9d14aa526df192efa539f87fc409fdeeeee06c)
+++ src/com_mod.f90	(revision f9ce123b9b047af2fdd26aa67406bfdc873bbafd)
@@ -163,5 +163,5 @@
   real :: rgs(maxspec,5,numclass),rlu(maxspec,5,numclass)
   real :: rm(maxspec),dryvel(maxspec),kao(maxspec)
-  real :: ohcconst(maxspec),ohdconst(maxspec)
+  real :: ohcconst(maxspec),ohdconst(maxspec),ohnconst(maxspec)
   ! se  it is possible to associate a species with a second one to make transfer from gas to aerosol
   integer :: spec_ass(maxspec)
Index: src/makefile
===================================================================
--- src/makefile	(revision 5f9d14aa526df192efa539f87fc409fdeeeee06c)
+++ src/makefile	(revision f9ce123b9b047af2fdd26aa67406bfdc873bbafd)
@@ -34,11 +34,14 @@
 FLEXPART-GFS-MPI 	= FP_gfs_MPI
 
+## Linker
+LD = ld.gold
+
 ## COMPILERS
-F90       = /usr/bin/gfortran
-#F90	  = ${HOME}/gcc-4.9.1/bin/gfortran
+#F90       = /usr/bin/gfortran
+F90	  = ${HOME}/gcc-4.9.1/bin/gfortran
 #MPIF90    = ${HOME}/opt/bin/mpifort
 #MPIF90    = mpif90.mpich
-MPIF90    = mpif90.openmpi
-#MPIF90    = mpifort
+#MPIF90    = mpif90.openmpi
+MPIF90    = mpifort
 
 ## OPTIMIZATION LEVEL
@@ -51,15 +54,17 @@
 ## 1) System libraries at NILU
 # INCPATH1 = /usr/include
-INCPATH1 = /xnilu_wrk/flex_wrk/bin64/grib_api/include
-LIBPATH1 = /xnilu_wrk/flex_wrk/bin64/grib_api/lib
+# INCPATH1 = /xnilu_wrk/flex_wrk/bin64/grib_api/include
+# LIBPATH1 = /xnilu_wrk/flex_wrk/bin64/grib_api/lib
 # LIBPATH2 = /usr/lib/x86_64-linux-gnu
 
 ## 2) Home-made libraries
-#INCPATH2  = ${HOME}/include
-INCPATH2  = /homevip/flexpart/include
-LIBPATH2 = /homevip/flexpart/lib
-#INCPATH2 = ${HOME}/lib	
-
-FFLAGS   = -I$(INCPATH1) -I$(INCPATH2) -O$(O_LEV) -g -m64 -mcmodel=medium -fconvert=little-endian -frecord-marker=4 -fmessage-length=0 -flto=jobserver -O$(O_LEV) -mtune=native $(FUSER) # -march=native
+INCPATH1  = ${HOME}/include
+INCPATH2  = /homevip/flexpart/include/
+#LIBPATH2 = /homevip/flexpart/lib/
+LIBPATH1 = ${HOME}/lib
+LIBPATH2 = ${HOME}/lib	
+
+FFLAGS   = -I$(INCPATH1) -I$(INCPATH2) -O$(O_LEV) -g -m64 -mcmodel=medium -fconvert=little-endian -frecord-marker=4 -fmessage-length=0 -flto=jobserver -O$(O_LEV) -mtune=native -fuse-linker-plugin $(FUSER) # -march=native
+
 DBGFLAGS = -I$(INCPATH1) -I$(INCPATH2) -O$(O_LEV_DBG) -g3 -ggdb3 -m64 -mcmodel=medium -fconvert=little-endian -frecord-marker=4 -fmessage-length=0 -flto=jobserver -O$(O_LEV_DBG) -fbacktrace -Warray-bounds  -Wall -fcheck=all $(FUSER)  # -ffpe-trap=invalid,overflow,denormal,underflow,zero -fdump-core
 
Index: src/ohreaction.f90
===================================================================
--- src/ohreaction.f90	(revision 8a65cb0801b09eb0ae933a1afabbe10361a9021b)
+++ src/ohreaction.f90	(revision f9ce123b9b047af2fdd26aa67406bfdc873bbafd)
@@ -153,5 +153,5 @@
       do k=1,nspec                                
         if (ohcconst(k).gt.0.) then
-          ohrate=ohcconst(k)*temp**2*exp(-ohdconst(k)/temp)*oh_average
+          ohrate=ohcconst(k)*temp**ohnconst(k)*exp(-ohdconst(k)/temp)*oh_average
           ! new particle mass
           restmass = xmass1(jpart,k)*exp(-1*ohrate*abs(ltsample))
Index: src/readspecies.f90
===================================================================
--- src/readspecies.f90	(revision 5f9d14aa526df192efa539f87fc409fdeeeee06c)
+++ src/readspecies.f90	(revision f9ce123b9b047af2fdd26aa67406bfdc873bbafd)
@@ -47,4 +47,5 @@
   ! ohcconst             OH reaction rate constant C                           *
   ! ohdconst             OH reaction rate constant D                           *
+  ! ohnconst             OH reaction rate constant n                           *
   ! id_spec              SPECIES number as referenced in RELEASE file          *
   ! id_pos               position where SPECIES data shall be stored           *
@@ -66,5 +67,5 @@
   character(len=16) :: pspecies
   real :: pdecay, pweta, pwetb, preldiff, phenry, pf0, pdensity, pdquer
-  real :: pdsigma, pdryvel, pweightmolar, pohcconst, pohdconst, pspec_ass, pkao
+  real :: pdsigma, pdryvel, pweightmolar, pohcconst, pohdconst, pohnconst, pspec_ass, pkao
   real :: pweta_in, pwetb_in, pwetc_in, pwetd_in
   integer :: readerror
@@ -75,5 +76,5 @@
        pweta_in, pwetb_in, pwetc_in, pwetd_in, &
        preldiff, phenry, pf0, pdensity, pdquer, &
-       pdsigma, pdryvel, pweightmolar, pohcconst, pohdconst, pspec_ass, pkao
+       pdsigma, pdryvel, pweightmolar, pohcconst, pohdconst, pohnconst, pspec_ass, pkao
 
   pspecies=" "
@@ -94,4 +95,5 @@
   pohcconst=-9.99
   pohdconst=-9.9E-09
+  pohnconst=2.0
   pspec_ass=-9
   pkao=-99.99
@@ -160,4 +162,6 @@
     read(unitspecies,'(f8.2)',end=22) ohdconst(pos_spec)
 !  write(*,*) ohdconst(pos_spec)
+    read(unitspecies,'(f8.2)',end=22) ohnconst(pos_spec)
+!  write(*,*) ohnconst(pos_spec)
     read(unitspecies,'(i18)',end=22) spec_ass(pos_spec)
 !  write(*,*) spec_ass(pos_spec)
@@ -183,4 +187,5 @@
     pohcconst=ohcconst(pos_spec)
     pohdconst=ohdconst(pos_spec)
+    pohnconst=ohnconst(pos_spec)
     pspec_ass=spec_ass(pos_spec)
     pkao=kao(pos_spec)
@@ -206,4 +211,5 @@
     ohcconst(pos_spec)=pohcconst
     ohdconst(pos_spec)=pohdconst
+    ohdconst(pos_spec)=pohnconst
     spec_ass(pos_spec)=pspec_ass
     kao(pos_spec)=pkao
